Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 427428

Summary: [enlightenment overlay] x11-wm/enlightenment-9999 now optionally depends on elementary
Product: Gentoo Linux Reporter: P Purkayastha <ppurka>
Component: Current packagesAssignee: enlightenment+disabled
Status: RESOLVED FIXED    
Severity: normal CC: devurandom, kripton
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description P Purkayastha 2012-07-21 04:03:12 UTC
x11-wm/enlightenment-9999 now optionally depends on elementary. So, the build may fail if elementary is not updated first.

Reproducible: Sometimes

Steps to Reproduce:
1. emerge enlightenment elementary
2. note that elementary comes after enlightenment
3. emerge fails



The ebuild should have USE dependency on elementary. The diff of the ebuilds will then look like this:

--- enlightenment-9999.ebuild   2012-07-05 10:45:36.898939459 +0800
+++ enlightenment-9999.ebuild.new       2012-07-21 12:00:36.169549116 +0800
@@ -27,9 +27,10 @@
        ${__CONF_MODS//@/e_modules_conf-}
        ${__NORM_MODS//@/e_modules_}"

-IUSE="bluetooth exchange pam spell static-libs +udev ukit ${IUSE_E_MODULES}"
+IUSE="bluetooth elementary exchange pam spell static-libs +udev ukit ${IUSE_E_MODULES}"

-RDEPEND="exchange? ( >=app-misc/exchange-9999 )
+RDEPEND="elementary? ( >=x11-libs/elementary-9999 )
+       exchange? ( >=app-misc/exchange-9999 )
        pam? ( sys-libs/pam )
        >=dev-libs/efreet-9999
        >=dev-libs/eina-9999[mempool-chained]
@@ -54,6 +55,7 @@
                --disable-install-sysactions
                $(use_enable bluetooth bluez)
                $(use_enable doc)
+               $(use_enable elementary)
                $(use_enable exchange)
                --disable-device-hal
                --disable-mount-hal
Comment 1 SpanKY gentoo-dev 2015-03-17 02:27:44 UTC
fixed with the latest versions in the tree